Bug 488243 - invalid-argument: confirmed < (65535+0) but only sent < (65533+0) (qpid/SessionState.cpp:150)
invalid-argument: confirmed < (65535+0) but only sent < (65533+0) (qpid/Sessi...
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
All Linux
urgent Severity high
: 1.1.1
: ---
Assigned To: Gordon Sim
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-03 08:04 EST by Gordon Sim
Modified: 2015-11-15 19:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 15:03:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2009-03-03 08:04:41 EST
This can be seen consistently when sending messages over a federated link with acking turned on (not yet sure f acking is required).

I also observed it during run_failover_soak but suspect that may be a separate case.
Comment 1 Gordon Sim 2009-03-04 08:20:43 EST
To reproduce, setup an acked federation link and send lots of messages over it. (More frequent acking will generally show the issue earlier). 

E.g. with two brokers on ports 5555 and 6666 set up the link between two test queues:

  qpid-config -a localhost:5555 --max-queue-count 5000 add queue test-queue
  qpid-config -a localhost:6666 add queue test-queue
  qpid-config -a localhost:6666 bind amq.direct test-queue test-queue
  qpid-config -a localhost:6666 bind amq.direct test-queue test-queue
  qpid-route --ack 1 queue add localhost:6666 localhost:5555 amq.direct test-queue

Then start up a receiver on the destination broker:

  receiver --port 666 --ack 500

(ack frequency of receiver just improves throughput and makes test a little faster, it has no impact on issue)

Then send lots of messages to the source broker:

  (for (( i=5000000; i--;)) do echo $i; done) | ./src/tests/sender --send-eos 1 --port 5555
Comment 2 Gordon Sim 2009-03-04 08:22:40 EST
Fixed by r750002.
Comment 3 Gordon Sim 2009-03-04 08:23:23 EST
Fix also includes correction for the 'push' case (i.e. where --src-is-local option is specified to qpid-route above).

Note You need to log in before you can comment on or make changes to this bug.